Subject: Emacs window shrinks automatically

From: Barry Warsaw <[email-masked]>
Date: Fri, 23 Mar 2012 15:01:51 -0400

In bug 10954, you said:

    The combination Gtk+ and Unity triggers a bug in one of them (not sure who
    has the bug).  If we set WM hints with base_height, one of them can't
    count and goes bananas.  I have checked in a fix in the trunk, which will
    be Emacs 24.  Please try it if you can.

Is there any chance you can point me to the bzr revision with this fix?  What
is the likelihood that this could be backported to Emacs 23?  I would be
willing to sponsor this fix into Ubuntu 12.04 for Emacs 23 if it's relatively
easy to backport or if you could give me a hand with that.  I am highly
motivated by personal pain to make this work. ;)